﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Orientation
{
    public class ViewModel : INotifyPropertyChanged
    {
        #region Fields

        private ObservableCollection<PizzaInfo> pizzaInfo;
        private PizzaInfo selecteditem;     

        #endregion

        #region Constructor

        public ViewModel()
        {
            GenerateSource();
        }

        #endregion

        #region Properties

        public ObservableCollection<PizzaInfo> PizzaInfo
        {
            get { return pizzaInfo; }
            set
            {
                this.pizzaInfo = value;
                OnPropertyChanged("PizzaInfo");
            }
        }

        public PizzaInfo SelectedItem
        {
            get { return selecteditem; }
            set
            {
                selecteditem = value;
                OnPropertyChanged("SelectedItem");
            }
        }

        #endregion

        #region Generate Source

        private void GenerateSource()
        {
            PizzaInfoRepository pizzainfo = new PizzaInfoRepository();
            pizzaInfo = pizzainfo.GetPizzaInfo();
            SelectedItem = pizzaInfo[6];
        }

        #endregion

        #region Interface Member

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string name)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #endregion
    }
}
